/*
 * DiffEntriesModel.java
 * Created on 2011/10/13
 *
 * Copyright (C) 2011-2013 Nippon Telegraph and Telephone Corporation
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 */

package jp.co.ntt.oss.heapstats.gui;

import javax.swing.table.DefaultTableModel;

/**
 * extends {@link DefaultTableModel}<br>
 * <br>
 * "Delta Data" is an implementation of the DefaultTableModel to display the
 * object list.
 */
public class DiffEntriesModel extends DefaultTableModel {
    /** serialVersionUID. */
    static final long serialVersionUID = 9092869763865053682L;

    /** Table Header. */
    private static final String[] TABLE_HEADER = {"",
            GuiCommon.getResources().getString(GuiCommon.OBJECTLIST_NAME),
            GuiCommon.getResources().getString(GuiCommon.OBJECTLIST_INSTANCE),
            GuiCommon.getResources().getString(GuiCommon.OBJECTLIST_SIZE)};

    /**
     * Constructs a DefaultTableModel with as many columns as there are elements
     * in columnNames and rowCount of null object values.
     */
    public DiffEntriesModel() {
        super(TABLE_HEADER, 0);
    }

    @Override
    public final Class<?> getColumnClass(final int columnIndex) {
        if (columnIndex != 1) {
            return Long.class;
        } else {
            return String.class;
        }
    }
}
